Carrefour Product
Extract full product details from a Carrefour product page, including price, brand, nutritional info, packaging, and availability.
Credit cost: 2 credits per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
Full Carrefour product page URL from carrefour.fr.
Example:
https://www.carrefour.fr/p/oeufs-de-caille-le-gaulois-3266980075934Notes:
- Only
carrefour.fris currently supported. Other domains (e.g.carrefour.es,carrefour.it) are not supported. - The URL must point to a product detail page (starting with
/p/).
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/carrefour/product?query=string"{
"brand": "CARTE NOIRE",
"image": "https://media.carrefour.fr/medias/p_1500x1500/cafemoulu.png",
"price": "4,99€",
"title": "Café Moulu Classique 100% Arabica Intensité 7 CARTE NOIRE",
"currency": "€",
"packaging": "les 2 paquets de 250g",
"nutriscore": null,
"price_float": 4.99,
"price_per_unit": "9.98 € / KG",
"price_per_unit_float": 9.98,
"price_per_unit_measure": "KG",
"price_per_unit_currency": "€",
"short_title": "Café Moulu Classique 100% Arabica Intensité 7 CARTE NOIRE",
"business_type": "food",
"is_best_seller": false,
"customer_reviews": {
"count": 2,
"rates": null,
"average": 5
},
"categories": [
{
"id": "2183",
"slug": "epicerie-sucree",
"label": "Epicerie sucrée",
"level": 1
},
{
"id": "39473",
"slug": "cafes",
"label": "Cafés",
"level": 2
},
{
"id": "40740",
"slug": "cafes-moulus",
"label": "Cafés moulus",
"level": 3
}
],
"more_offers": {
"count": 0,
"best_offer_id": null,
"best_offer_price": null
}
}{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}